<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Structures</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Data Structures</h1>Here are the data structures with brief descriptions:<table>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t_1_1__lut.html">tivx_meta_format_t::_lut</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t_1_1__remap.html">tivx_meta_format_t::_remap</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t_1_1array.html">tivx_meta_format_t::array</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t_1_1distribution.html">tivx_meta_format_t::distribution</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t_1_1image.html">tivx_meta_format_t::image</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t_1_1matrix.html">tivx_meta_format_t::matrix</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t_1_1object__array.html">tivx_meta_format_t::object_array</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t_1_1pyramid.html">tivx_meta_format_t::pyramid</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t_1_1scalar.html">tivx_meta_format_t::scalar</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t_1_1threshold.html">tivx_meta_format_t::threshold</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__array__map__info__t.html">tivx_array_map_info_t</a></td><td class="indexvalue">Information about a array mapping </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__array__t.html">tivx_array_t</a></td><td class="indexvalue">Array object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__context__t.html">tivx_context_t</a></td><td class="indexvalue">The top level context data for the entire OpenVX instance </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__convolution__t.html">tivx_convolution_t</a></td><td class="indexvalue">Convolution object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__delay__param__t.html">tivx_delay_param_t</a></td><td class="indexvalue">The internal representation of the delay parameters as a list </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__delay__t.html">tivx_delay_t</a></td><td class="indexvalue">Delay object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__distribution__t.html">tivx_distribution_t</a></td><td class="indexvalue">Convolution object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__error__t.html">tivx_error_t</a></td><td class="indexvalue">The internal representation of the error object </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__graph__sort__context.html">tivx_graph_sort_context</a></td><td class="indexvalue">Context used while sorting a graph </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__graph__t.html">tivx_graph_t</a></td><td class="indexvalue">The top level data for graph object </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__image__map__info__t.html">tivx_image_map_info_t</a></td><td class="indexvalue">Information about a image mapping </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__image__t.html">tivx_image_t</a></td><td class="indexvalue">Image object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__kernel__t.html">tivx_kernel_t</a></td><td class="indexvalue">Kernel object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__lut__t.html">tivx_lut_t</a></td><td class="indexvalue">Lut object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__matrix__t.html">tivx_matrix_t</a></td><td class="indexvalue">Matrix object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__mem__stats.html">tivx_mem_stats</a></td><td class="indexvalue"></td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__meta__format__t.html">tivx_meta_format_t</a></td><td class="indexvalue">Meta Format object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__module__t.html">tivx_module_t</a></td><td class="indexvalue">Module object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__node__t.html">tivx_node_t</a></td><td class="indexvalue">The internal representation of a node </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__array__t.html">tivx_obj_desc_array_t</a></td><td class="indexvalue">Array object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__cmd__t.html">tivx_obj_desc_cmd_t</a></td><td class="indexvalue">Command object descriptor </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__convolution__t.html">tivx_obj_desc_convolution_t</a></td><td class="indexvalue">Convolution object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__distribution__t.html">tivx_obj_desc_distribution_t</a></td><td class="indexvalue">Distribution object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__image__t.html">tivx_obj_desc_image_t</a></td><td class="indexvalue">Image object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__lut__t.html">tivx_obj_desc_lut_t</a></td><td class="indexvalue">Lut object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__matrix__t.html">tivx_obj_desc_matrix_t</a></td><td class="indexvalue">Matrix object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__node__t.html">tivx_obj_desc_node_t</a></td><td class="indexvalue">Node object descriptor </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__objarray__t.html">tivx_obj_desc_objarray_t</a></td><td class="indexvalue">Object array object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__pyramid__t.html">tivx_obj_desc_pyramid_t</a></td><td class="indexvalue">Pyramid object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__remap__t.html">tivx_obj_desc_remap_t</a></td><td class="indexvalue">Remap object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__scalar__t.html">tivx_obj_desc_scalar_t</a></td><td class="indexvalue">Scalar object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html">tivx_obj_desc_shm_entry_t</a></td><td class="indexvalue">Object Descriptor Shared memory entry which can hold any of the supported object descriptor types </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a></td><td class="indexvalue">Object descriptor </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__table__info__t.html">tivx_obj_desc_table_info_t</a></td><td class="indexvalue">Data structure to hold info about object descriptor table </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__obj__desc__threshold__t.html">tivx_obj_desc_threshold_t</a></td><td class="indexvalue">Threshold object descriptor as placed in shared memory </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__objarray__t.html">tivx_objarray_t</a></td><td class="indexvalue">Object array internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__object__t.html">tivx_object_t</a></td><td class="indexvalue">Structure to hold all framework objects </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__parameter__t.html">tivx_parameter_t</a></td><td class="indexvalue">Parameter object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__pyramid__t.html">tivx_pyramid_t</a></td><td class="indexvalue">Pyramid object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__queue.html">tivx_queue</a></td><td class="indexvalue">Typedef for a queue </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a></td><td class="indexvalue">The most basic type in the OpenVX system. Any type that inherits from <a class="el" href="structtivx__reference__t.html" title="The most basic type in the OpenVX system. Any type that inherits from tivx_reference_t...">tivx_reference_t</a> must have a vx_reference_t as its first memeber to allow casting to this type </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__remap__point__t.html">tivx_remap_point_t</a></td><td class="indexvalue">Remap point in remap table </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__remap__t.html">tivx_remap_t</a></td><td class="indexvalue">Remap object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__scalar__t.html">tivx_scalar_t</a></td><td class="indexvalue">Scalar object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a></td><td class="indexvalue">Structure describing a shared memory pointer </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__signature__t.html">tivx_signature_t</a></td><td class="indexvalue">The internal representation of the attributes associated with a run-time parameter </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__target__create__params__t.html">tivx_target_create_params_t</a></td><td class="indexvalue">Parameters that can be set during target creation </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__target__kernel__instance__t.html">tivx_target_kernel_instance_t</a></td><td class="indexvalue">Holds information about a target kernel instance </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__target__kernel__t.html">tivx_target_kernel_t</a></td><td class="indexvalue">Holds information about a target kernel instance </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__target__t.html">tivx_target_t</a></td><td class="indexvalue">Target object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__task.html">tivx_task</a></td><td class="indexvalue">Typedef for a task </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__task__create__params__t.html">tivx_task_create_params_t</a></td><td class="indexvalue">Parameters that can be set during task creation </td></tr>
  <tr><td class="indexkey"><a class="el" href="structtivx__threshold__t.html">tivx_threshold_t</a></td><td class="indexvalue">Threshold object internal state </td></tr>
  <tr><td class="indexkey"><a class="el" href="structvx__border__t.html">vx_border_t</a></td><td class="indexvalue">Use with the enumeration <code><a class="el" href="vx__types_8h.html#a6698e2a55aa6d7fd5c45e746a0d640b9a8ab2bf9651a379fad8decf0db5d56f8c">VX_NODE_BORDER</a></code> to set the border mode behavior of a node that supports borders </td></tr>
  <tr><td class="indexkey"><a class="el" href="structvx__coordinates2d__t.html">vx_coordinates2d_t</a></td><td class="indexvalue">The 2D Coordinates structure </td></tr>
  <tr><td class="indexkey"><a class="el" href="structvx__coordinates3d__t.html">vx_coordinates3d_t</a></td><td class="indexvalue">The 3D Coordinates structure </td></tr>
  <tr><td class="indexkey"><a class="el" href="structvx__imagepatch__addressing__t.html">vx_imagepatch_addressing_t</a></td><td class="indexvalue">The addressing image patch structure is used by the Host only to address pixels in an image patch. The fields of the structure are defined as: </td></tr>
  <tr><td class="indexkey"><a class="el" href="structvx__kernel__info__t.html">vx_kernel_info_t</a></td><td class="indexvalue">The Kernel Information Structure. This is returned by the Context to indicate which kernels are available in the OpenVX implementation </td></tr>
  <tr><td class="indexkey"><a class="el" href="structvx__keypoint__t.html">vx_keypoint_t</a></td><td class="indexvalue">The keypoint data structure </td></tr>
  <tr><td class="indexkey"><a class="el" href="structvx__perf__t.html">vx_perf_t</a></td><td class="indexvalue">The performance measurement structure. The time or durations are in units of nano seconds </td></tr>
  <tr><td class="indexkey"><a class="el" href="unionvx__pixel__value__t.html">vx_pixel_value_t</a></td><td class="indexvalue">Union that describes the value of a pixel for any image format. Use the field corresponding to the image format </td></tr>
  <tr><td class="indexkey"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a></td><td class="indexvalue">The rectangle data structure that is shared with the users. The area of the rectangle can be computed as (end_x-start_x)*(end_y-start_y) </td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
